# Class StructuredTaskScope.TimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.util.concurrent.StructuredTaskScope.TimeoutException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `StructuredTaskScopePREVIEW<T,R>`

public static final class StructuredTaskScope.TimeoutException extends RuntimeException
`TimeoutException` is a preview API of the Java platform.
Programs can only use `TimeoutException` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Exception thrown by `StructuredTaskScope.join()`PREVIEW if the scope was created with a timeout and the timeout expired before or while waiting in `join`.

Since:
  25
See Also:
  - `StructuredTaskScope.Configuration.withTimeout(Duration)`PREVIEW
  - Serialized Form

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`